// Параметры окна

var okno = "left=100,top=100,width=600,height=400,menubar=1,resizable=1,scrollbars=1";
var okno1 = "left=100,top=100,width=600,height=480,menubar=1,resizable=1,scrollbars=1";
var okno2 = "left=100,top=100,width=640,height=480,menubar=1,resizable=1,scrollbars=1";
var okno3 = "left=0,top=0,width=760,height=560,menubar=1,resizable=1,scrollbars=1";

function FormOkno(width, height)
{
  return "left=100,top=100,width="+width+",height="+height+",menubar=1,resizable=1,scrollbars=1";

}

function FormOknoZ(width, height)
{
  return "left=100,top=100,width="+width+",height="+height+",menubar=0,resizable=1,scrollbars=1";

}

function IsOpenWin(w)
{
  return w != null && typeof(w)=="object" && !w.closed;
}

function closeWin(w)
{
  if (IsOpenWin(w)) w.close();
}

// Конструктор объекта
// -------------------
// Увеличить/уменьшить кегль текста в блоке idname
// Управляется кнопкой и с именем "img"+idname

var TextSize = new Array("small", "medium");
var AltImg   = new Array("Увеличить", "Уменьшить");

function ChangeSize(block, img)
{
  // свойства объекта
  this.ind         = 0;
  this.Idname      = block;       // имя блока
  this.NameImg     = img;         // основа имени картинки-кнопки
  this.NamesImg    = new Array(); // имена картинок
  this.NamesImg[0] = this.NameImg + "1";
  this.NamesImg[1] = this.NameImg + "2";

  // методы объекта
  this.ChangeSize    = _ChangeSize;    // Изменить размер и кнопку
  this.ChangeImgOver = _ChangeImgOver; // Изменить вид кнопки
  this.ChangeImgOut  = _ChangeImgOut;  // Изменить вид кнопки
}

function _ChangeSize()
{
  this.ind = 1 - this.ind;
//  document.forms[this.Idname].style.fontSize = TextSize[this.ind];
//  document.images["img"+this.Idname].alt = AltImg[this.ind];
//  document.images["img"+this.Idname].src = this.NamesImg[this.ind]+"_.gif";

  document.getElementById(this.Idname).style.fontSize = TextSize[this.ind];
  document.getElementById("img"+this.Idname).alt = AltImg[this.ind];
  document.getElementById("img"+this.Idname).src = this.NamesImg[this.ind]+"_.gif";

}

function _ChangeImgOver() 
{
  document.images["img"+this.Idname].src = this.NamesImg[this.ind]+"_.gif";
}

function _ChangeImgOut()  
{
  document.images["img"+this.Idname].src = this.NamesImg[this.ind]+".gif";
}
//--------------------------------------------------------------------
// Объекты: 
var SizeBlock1 = new ChangeSize("kod1", "./pic/09size");
var SizeBlock2 = new ChangeSize("kod2", "./pic/09size");
//--------------------------------------------------------------------

